#!/bin/sh

FLAVOR=$1
PACKAGE="howm"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=${EPREFIX}/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=${EPREFIX}/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el"

SITELISP=/usr/share/${FLAVOR}/site-lisp

COMPILE="-batch -q -f batch-byte-compile"

case "${FLAVOR}" in
    emacs)
	;;

    *)
	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ... "

	rm -rf ${ELCDIR}
	install -m 755 -d ${ELCDIR}
	cp ${ELDIR}/*.el ${ELCDIR}

	(
	    cd ${ELCDIR}
	    ${FLAVOR} ${COMPILE} *.el > ${ELCDIR}/CompilationLog 2>&1
	    rm *.el ${PACKAGE}-init.elc vine-default-${PACKAGE}.elc
	    install -p -m644 ${ELDIR}/vine-default-${PACKAGE}.el ${ELCDIR}
	)

	gzip -9 ${ELCDIR}/CompilationLog

	if [ ! -d ${STARTDIR} ]; then
	    install -m 755 -d ${STARTDIR}
	fi

	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE};

	echo " done."
	;;
esac

exit 0;
